Subject: bug#62844: 29.0.90; Eglot does not support dot-language-server and vscode-markdown-language-server

From: João Távora <[email-masked]>
Date: Fri, 14 Apr 2023 23:54:05 +0100

On Fri, Apr 14, 2023 at 10:19 PM Jostein Kjønigsen
<[email-masked]> wrote:
>
> If you have either vscode-markdown-language-server or
> dot-language-server installed, eglot does not seem to
> use them when activated.

The "does not support" in the subject line of this bug is
slightly itchy to me.  If these are LSP servers, they are
evidently supported.  There are really many language servers
being born (and dying) all the time and it's impossible
to track everything.  And C-u M-x eglot exists.

But that's just an aside.  Of course your patch can go
in.

> Attached is a patch which fixes this.
>
> If this is too late for Emacs 29, I'll still be
> happy to see it installed in git master :)

I'll leave that for Eli to decide, but I'd think Emacs 29
is fine.

João